Package org.eclipse.e4.ui.model.application.ui.advanced

## Interface MPerspectiveStack

All Superinterfaces:
  `MApplicationElement`, `MElementContainer<MPerspective>`, `MGenericStack<MPerspective>`, `MLocalizable`, `MPartSashContainerElement`, `MUIElement`, `MWindowElement`

    public interface MPerspectiveStack
    extends MUIElement, MGenericStack<MPerspective>, MPartSashContainerElement, MWindowElement

A representation of the model object 'Perspective Stack'.

The PerspectiveStack is a collectin of Perspectives. Only one perspective may be visible at a time and is determined by the container's 'selectedElement'.

Since:
  1.0
Restriction:
  This interface is not intended to be implemented by clients.

### Method Summary

### Methods inherited from interface org.eclipse.e4.ui.model.application.MApplicationElement

`getContributorURI, getElementId, getPersistedState, getTags, getTransientData, setContributorURI, setElementId`

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.MElementContainer

`getChildren, getSelectedElement, setSelectedElement`

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.MLocalizable

`updateLocalization`

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.MUIElement

`getAccessibilityPhrase, getContainerData, getCurSharedRef, getLocalizedAccessibilityPhrase, getParent, getRenderer, getVisibleWhen, getWidget, isOnTop, isToBeRendered, isVisible, setAccessibilityPhrase, setContainerData, setCurSharedRef, setOnTop, setParent, setRenderer, setToBeRendered, setVisible, setVisibleWhen, setWidget`